Copy Charts to Word

Access Beginner

Active Member
Joined
Nov 8, 2010
Messages
311
Office Version
  1. 2016
Platform
  1. Windows
Hi,

I found the below code (thanks to whoever wrote it) on this forum maybe and what it does is copy a chart from Excel and paste it into Word. I have 23 charts on a sheet and need these copied into word. I have copied and pasted the below code and made changes(see 2nd code) which is basically, putting the select chart on active sheet and the running the code again. If someone can spare the time,can they please edit the 2nd bit of code, so it is more efficient, it would be greatly appeciated.

Cheers

Original Code
Code:
Sub ChartToDocument()
' Set a VBE reference to Microsoft Word Object Library

Dim WDApp As Word.Application
Dim WDDoc As Word.Document

' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If

End Sub

My inelegant version
Code:
Sub ChartToDocument()
'Select Chart
ActiveSheet.ChartObjects("Chart 24").Activate
' Set a VBE reference to Microsoft Word Object Library

Dim WDApp As Word.Application
Dim WDDoc As Word.Document

' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If

'Select Chart
ActiveSheet.ChartObjects("Chart 29").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If


'Select Chart
ActiveSheet.ChartObjects("Chart 5").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 13").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 30").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 18").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 6").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 10").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 25").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 11").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 7").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 19").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 20").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 21").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 22").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 31").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 15").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 33").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 34").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 35").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 4").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 32").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
'Select Chart
ActiveSheet.ChartObjects("Chart 27").Activate
' Set a VBE reference to Microsoft Word Object Library
' Make sure a chart is selected
If ActiveChart Is Nothing Then
    MsgBox "Please select a chart and try again.", vbExclamation, _
        "No Chart Selected"
Else
    ' Reference existing instance of Word
    Set WDApp = GetObject(, "Word.Application")
    ' Reference active document
    Set WDDoc = WDApp.ActiveDocument
    
    ' Copy chart as a picture
    ActiveChart.CopyPicture Appearance:=xlScreen, Size:=xlScreen, _
        Format:=xlPicture

    ' Paste chart at cursor position
    WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
        Placement:=wdInLine, DisplayAsIcon:=False

    ' Clean up
    Set WDDoc = Nothing
    Set WDApp = Nothing
End If
End Sub
 

Excel Facts

How to show all formulas in Excel?
Press Ctrl+` to show all formulas. Press it again to toggle back to numbers. The grave accent is often under the tilde on US keyboards.
Double check that I got all your chart numbers and in the correct order.

Code:
[COLOR=darkblue]Sub[/COLOR] ChartToDocument()
    
    [COLOR=green]' Set a VBE reference to Microsoft Word Object Library[/COLOR]
    [COLOR=darkblue]Dim[/COLOR] WDApp [COLOR=darkblue]As[/COLOR] Word.Application
    [COLOR=darkblue]Dim[/COLOR] chtNo [COLOR=darkblue]As[/COLOR] [COLOR=darkblue]Variant[/COLOR]
    
    [COLOR=green]' Reference existing instance of Word[/COLOR]
    [COLOR=darkblue]Set[/COLOR] WDApp = GetObject(, "Word.Application")
    
    [COLOR=darkblue]For[/COLOR] [COLOR=darkblue]Each[/COLOR] chtNo [COLOR=darkblue]In[/COLOR] Array(24, 29, 5, 13, 30, 18, 6, 10, 25, 11, 7, 19, _
                            20, 21, 22, 31, 15, 33, 34, 35, 4, 32, 27)
        
        [COLOR=green]' Copy chart as a picture[/COLOR]
        ActiveSheet.ChartObjects("Chart " & chtNo).Chart.CopyPicture _
            Appearance:=xlScreen, Size:=xlScreen, Format:=xlPicture
    
        [COLOR=green]' Paste chart at cursor position[/COLOR]
        WDApp.Selection.PasteSpecial Link:=False, DataType:=wdPasteMetafilePicture, _
            Placement:=wdInLine, DisplayAsIcon:=[COLOR=darkblue]False[/COLOR]
    
    [COLOR=darkblue]Next[/COLOR]
    
    [COLOR=green]' Clean up[/COLOR]
    [COLOR=darkblue]Set[/COLOR] WDApp = [COLOR=darkblue]Nothing[/COLOR]
    
[COLOR=darkblue]End[/COLOR] [COLOR=darkblue]Sub[/COLOR]
 
Last edited:
Upvote 0

Forum statistics

Threads
1,223,909
Messages
6,175,312
Members
452,634
Latest member
cpostell

We've detected that you are using an adblocker.

We have a great community of people providing Excel help here, but the hosting costs are enormous. You can help keep this site running by allowing ads on MrExcel.com.
Allow Ads at MrExcel

Which adblocker are you using?

Disable AdBlock

Follow these easy steps to disable AdBlock

1)Click on the icon in the browser’s toolbar.
2)Click on the icon in the browser’s toolbar.
2)Click on the "Pause on this site" option.
Go back

Disable AdBlock Plus

Follow these easy steps to disable AdBlock Plus

1)Click on the icon in the browser’s toolbar.
2)Click on the toggle to disable it for "mrexcel.com".
Go back

Disable uBlock Origin

Follow these easy steps to disable uBlock Origin

1)Click on the icon in the browser’s toolbar.
2)Click on the "Power" button.
3)Click on the "Refresh" button.
Go back

Disable uBlock

Follow these easy steps to disable uBlock

1)Click on the icon in the browser’s toolbar.
2)Click on the "Power" button.
3)Click on the "Refresh" button.
Go back
Back
Top